Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## displayLogos()

#### Description

A helper function for displaying an opening sequence in some of the examples.

`displayLogos()` draws "lg0.bmp" and "lg1.bmp" from an attched SD card to the screen, with 2 seconds of delay between the first and second image. There is a 2 second delay after "lg1.bmp", for a total of 4 seconds.

You need to initialize both the LCD and SD card, and have "lg0.bmp" and "lg1.bmp" on the card (they are installed by default).

#### Syntax

Robot.displayLogos();

#### Parameters

none

#### Returns

none

#### Examples

#include <ArduinoRobot.h>
void setup(){
Robot.begin();
Robot.beginTFT();//Initialize the TFT module
Robot.displayLogos();//Show the opening sequence
}
void loop(){
Robot.text("Hello World",0,0,true);
delay(2000);
Robot.text("Hello World",0,0,false);//It's necessary to erase the old text, for showing new text
Robot.text("I am a robot",0,0,true);
delay(3000);
Robot.text("I am a robot",0,0,false);
}
[Get Code]

#### See also

- beginTFT()
- drawBMP()
- debugPrint()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers